Bug 1293476 - Crash when recording the 2nd track with overdub
Summary: Crash when recording the 2nd track with overdub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-21 20:58 UTC by Dmitry Tantsur
Modified: 2016-11-24 20:27 UTC (History)
5 users (show)

Fixed In Version: audacity-2.1.2-0.7.rc1.fc23 audacity-2.1.2-3.fc23 audacity-2.1.3-0.7.20161109git53a5c93.fc25 audacity-2.1.3-0.7.20161109git53a5c93.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 16:28:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Dmitry Tantsur 2015-12-21 20:58:54 UTC
Version-Release number of selected component (if applicable):
2.1.1-1.fc23

How reproducible:
Always

Steps to Reproduce:
1. Import a wav file into an empty project
2. Enable overdub in menu (if disabled)
3. Press record

Actual results:
Audacity crashes

Expected results:
Record begins

Additional info:
Automatic report is supposed to be created, but as I have no clues where it went I decided to duplicate here.
Audio interface Focusrite Scarlet 2i2.

This failure does not happen if I record the 1st track or do not have overdub enabled.

Comment 1 Dmitry Tantsur 2015-12-21 21:00:35 UTC
Gdb output and backtrace:


Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
Expression 'ret' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1735
Expression 'AlsaOpen( &alsaApi->baseHostApiRep, params, streamDir, &self->pcm )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1902
Expression 'PaAlsaStreamComponent_Initialize( &self->capture, alsaApi, inParams, StreamDirection_In, NULL != callback )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2166
Expression 'PaAlsaStream_Initialize( stream, alsaHostApi, inputParameters, outputParameters, sampleRate, framesPerBuffer, callback, streamFlags, userData )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 2835
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4608
[New Thread 0x7fffda985700 (LWP 6038)]
[Thread 0x7fffda985700 (LWP 6038) exited]
[New Thread 0x7fffda985700 (LWP 6043)]
[Thread 0x7fffda985700 (LWP 6043) exited]
[New Thread 0x7fffda985700 (LWP 6044)]
[New Thread 0x7fffdb186700 (LWP 6045)]
[New Thread 0x7fffdecc7700 (LWP 6055)]
[New Thread 0x7fffde4c6700 (LWP 6056)]
[New Thread 0x7fffdd2e7700 (LWP 6058)]
[New Thread 0x7fffdcae6700 (LWP 6059)]
[New Thread 0x7fffdc2e5700 (LWP 6060)]
[New Thread 0x7fffda184700 (LWP 6061)]
[Thread 0x7fffdc2e5700 (LWP 6060) exited]
[Thread 0x7fffda184700 (LWP 6061) exited]
[Thread 0x7fffdcae6700 (LWP 6059) exited]
[Thread 0x7fffdd2e7700 (LWP 6058) exited]
[Thread 0x7fffdecc7700 (LWP 6055) exited]
[New Thread 0x7fffda184700 (LWP 6083)]
[New Thread 0x7fffdd2e7700 (LWP 6084)]
[New Thread 0x7fffdcae6700 (LWP 6085)]
ALSA lib pcm.c:7905:(snd_pcm_recover) underrun occurred
Expression 'err' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3350
Expression 'ContinuePoll( self, StreamDirection_In, &pollTimeout, &pollCapture )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 3876
Expression 'PaAlsaStream_WaitForFrames( stream, &framesAvail, &xrun )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4248
audacity: src/hostapi/alsa/pa_linux_alsa.c:3382: OnExit: Assertion `data' failed.

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffdcae6700 (LWP 6085)]
0x00007ffff0670a98 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
55	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);

(gdb) back
#0  0x00007ffff0670a98 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1  0x00007ffff067269a in __GI_abort () at abort.c:89
#2  0x00007ffff0669227 in __assert_fail_base (fmt=<optimized out>, assertion=assertion@entry=0x7ffff79a6760 "data", file=file@entry=0x7ffff79a00b8 "src/hostapi/alsa/pa_linux_alsa.c", line=line@entry=3382, function=function@entry=0x7ffff79a6b67 <__PRETTY_FUNCTION__.12663> "OnExit") at assert.c:92
#3  0x00007ffff06692d2 in __GI___assert_fail (assertion=assertion@entry=0x7ffff79a6760 "data", file=file@entry=0x7ffff79a00b8 "src/hostapi/alsa/pa_linux_alsa.c", line=line@entry=3382, function=function@entry=0x7ffff79a6b67 <__PRETTY_FUNCTION__.12663> "OnExit") at assert.c:101
#4  0x00007ffff7993754 in OnExit (data=<optimized out>) at src/hostapi/alsa/pa_linux_alsa.c:3382
#5  0x00007ffff79969c4 in CallbackThreadFunc (__frame=<synthetic pointer>) at /usr/include/pthread.h:611
#6  0x00007ffff79969c4 in CallbackThreadFunc (userData=0x555556c4d970) at src/hostapi/alsa/pa_linux_alsa.c:4180
#7  0x00007ffff776d60a in start_thread (arg=0x7fffdc2e2700) at pthread_create.c:334
#8  0x00007ffff073ea9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Comment 2 Fedora Update System 2015-12-22 11:58:41 UTC
audacity-2.1.2-0.7.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-51664dda77

Comment 3 David Timms 2015-12-22 12:05:40 UTC
If you have inbuilt line/mic inputs / output, would you also be able to try with audio selected for those instead of the Focusrite ?

I've tried to reproduce with F22 and the next Audacity Release Candidate, but it appeared to work as expected. Can you try the same RC1 on F23 [1] ?

[1] su -c 'dnf --enablerepo=updates-testing update audacity'

Comment 4 Dmitry Tantsur 2015-12-22 12:09:32 UTC
Thanks, will try this evening. Note that it works on F22 for my wife as well, so it might be something F23-specific (or me being unlucky :)

Comment 5 Dmitry Tantsur 2015-12-22 20:56:51 UTC
The same problem with the RC. Works fine on a built-in laptop card, but even connecting the external card brings back this issue.

Comment 6 Dmitry Tantsur 2015-12-22 21:16:20 UTC
Actually, judging by trackeback it might be the problem in portaudio. My version is portaudio-19-22.fc23.x86_64, F22 has portaudio-19-20.fc22.x86_64

Comment 7 Fedora Update System 2015-12-22 22:07:24 UTC
audacity-2.1.2-0.7.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Dmitry Tantsur 2015-12-23 11:33:29 UTC
This update does not fix it (and I suspect the problem might involve portaudio)

Comment 9 Pu Ke 2015-12-30 01:29:22 UTC
(In reply to Dmitry Tantsur from comment #8)
> This update does not fix it (and I suspect the problem might involve
> portaudio)

Hi Dmitry,
I also encountered this issue this morning.  Have you found anyway to solve it? Thanks!

Comment 10 Fedora Update System 2016-01-02 00:59:40 UTC
audacity-2.1.2-0.8.rc2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-558a83f721

Comment 11 Fedora Update System 2016-01-03 03:23:10 UTC
audacity-2.1.2-0.8.rc2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-558a83f721

Comment 12 Dmitry Tantsur 2016-01-05 13:41:09 UTC
The update does not fix the issue for me. I'll try downgrading portaudio..

Comment 13 Dmitry Tantsur 2016-01-05 13:44:46 UTC
I've tried downgrading portaudio to F22 version, now it does not crash, but instead I get the following message:

Latency Correction setting has caused the recorded audio to be hidden before zero.
Audacity has brought it back to start at zero.
You may have to use the Time Shift Tool (<---> or F5) to drag the track to the right place.

And nothing is recorded.

Comment 14 Fedora Update System 2016-03-03 19:29:19 UTC
audacity-2.1.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560

Comment 15 Fedora Update System 2016-03-05 02:23:14 UTC
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560

Comment 16 Fedora Update System 2016-03-05 22:21:36 UTC
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Dmitry Tantsur 2016-03-09 10:52:23 UTC
Not sure why this bug keep getting closed :( Still crashes as of 2.1.2-3. One more automatic report was created, and again I have no clues where it wen.

Comment 18 Fedora Update System 2016-11-10 12:35:11 UTC
audacity-2.1.3-0.7.20161109git53a5c93.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f8d418ba

Comment 19 Fedora Update System 2016-11-10 12:36:05 UTC
audacity-2.1.3-0.7.20161109git53a5c93.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f35f35613

Comment 20 Fedora Update System 2016-11-10 19:28:12 UTC
audacity-2.1.3-0.7.20161109git53a5c93.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f8d418ba

Comment 21 David H. Gutteridge 2016-11-10 21:08:52 UTC
I cannot duplicate this problem with audacity-2.1.3-0.7.20161109git53a5c93.

Comment 22 Fedora Update System 2016-11-11 05:03:02 UTC
audacity-2.1.3-0.7.20161109git53a5c93.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f35f35613

Comment 23 Fedora End Of Life 2016-11-24 14:26:43 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Fedora Update System 2016-11-24 16:28:37 UTC
audacity-2.1.3-0.7.20161109git53a5c93.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-11-24 20:27:35 UTC
audacity-2.1.3-0.7.20161109git53a5c93.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.